#!/usr/bin/env python3
# -*- coding: utf-8 -*
import numpy as np
import load_datasets as ld
import BayesNaif
import Knn
import metrics
#importer d'autres fichiers et classes si vous en avez développés


"""
C'est le fichier main duquel nous allons tout lancer
Vous allez dire en commentaire c'est quoi les paramètres que vous avez utilisés
En gros, vous allez :
1- Initialiser votre classifieur avec ses paramètres
2- Charger les datasets
3- Entrainer votre classifieur
4- Le tester

"""

# Charger/lire les datasets

train, train_labels, test, test_labels = ld.load_iris_dataset(0.7)
train, train_labels, test, test_labels = ld.load_congressional_dataset(0.7)
train, train_labels, test, test_labels = ld.load_monks_dataset(1)
train, train_labels, test, test_labels = ld.load_monks_dataset(2)
train, train_labels, test, test_labels = ld.load_monks_dataset(3)

# KNN

## Choix du meilleur K
findbest_Knn = Knn.Knn()
meilleur_k = findbest_Knn.set_best_k(train, train_labels, nb_split=5, k_potentiel=range(5,15))
print("Le meilleur K est:"+str(meilleur_k)+"\n\n")

## Initializer/instanciez vos classifieurs avec leurs paramètres
myKnn = Knn.Knn(meilleur_k)

## Entrainez votre classifieur
myKnn.train(train, train_labels)

## Tester votre classifieur
myKnn.test(test, test_labels)

# Naive Bayes

## Initializer/instanciez vos classifieurs avec leurs paramètres
BN = BayesNaif.BayesNaif(False)

## Entrainez votre classifieur
BN.train(train, train_labels)

## Prediction
BN.test(train, train_labels)

## Test
BN.test(test,test_labels)







